#*************************************************************************
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
# 
# Copyright 2008 by Sun Microsystems, Inc.
#
# OpenOffice.org - a multi-platform office productivity suite
#
# $RCSfile: makefile.mk,v $
#
# $Revision: 1.5 $
#
# This file is part of OpenOffice.org.
#
# OpenOffice.org is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License version 3
# only, as published by the Free Software Foundation.
#
# OpenOffice.org is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License version 3 for more details
# (a copy is included in the LICENSE file that accompanied this code).
#
# You should have received a copy of the GNU Lesser General Public License
# version 3 along with OpenOffice.org.  If not, see
# <http://www.openoffice.org/license.html>
# for a copy of the LGPLv3 License.
#
#*************************************************************************

PRJ=..$/..

PRJNAME=cosv
TARGET=cosv_unittest
TARGETTYPE=CUI

# --- Settings -----------------------------------------------------

ENABLE_EXCEPTIONS=true
PRJINC=$(PRJ)$/source

.INCLUDE :  settings.mk
.INCLUDE :  static.mk

.INCLUDE : $(PRJ)$/source$/fullcpp.mk




# --- Files --------------------------------------------------------

OBJFILES= \
    $(OBJ)$/file_ut.obj             \
    $(OBJ)$/simplestring_ut.obj




APP1TARGET=	$(TARGET)
APP1STACK=	1000000
APP1OBJS=   $(OBJ)$/ut_main.obj

.IF "$(GUI)"=="WNT"
APP1STDLIBS= $(LIBSTLPORT)
.ELSE
.IF "$(OS)"=="MACOSX"
APP1STDLIBS= $(LIBSTLPORT)
.ENDIF
.ENDIF


APP1LIBS=	$(LB)$/$(TARGET).lib $(LB)$/cosv.lib


APP1DEPN=   $(LB)$/$(TARGET).lib $(LB)$/cosv.lib


# --- Targets ------------------------------------------------------

.INCLUDE :  target.mk



